<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/Nodes.qml</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Nodes.qml</div>  </div>
</div><!--header-->
<div class="contents">
<a href="Nodes_8qml.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">import</span> QtQuick 2.0</div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;import QtQuick.Controls 2.12</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;import QtQuick.Window 2.12</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;import QtGraphicalEffects 1.0</div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;Item {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160; </div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    id: nodesTable</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    ListModel {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        id: list</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        dynamicRoles: <span class="keyword">true</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        Component.onCompleted: {</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;            var lst = db.selectAllTuples(4, table)</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;            var i = 1</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;            <span class="keywordflow">if</span> (lst[0] &gt; 1)</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;            {</div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;                <span class="keywordflow">for</span> (; i &lt; lst[0];) {</div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;                    append({id: lst[i], desc: lst[i + 1], cats: db.toList(lst[i + 3])})</div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;                    i = i + 4</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;                }</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;            }</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;        }</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    }</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    <span class="keyword">function</span> getId() {</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        <span class="keywordflow">return</span> list.get(lv.currentIndex).id</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    }</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keyword">function</span> findByCategories(categories) {</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        list.clear()</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        var lst = db.selectAllTuples(4, table)</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        var i = 1</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordflow">if</span> (lst[0] &gt; 1)</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        {</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <span class="keywordflow">for</span> (; i &lt; lst[0];) {</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                <span class="keywordflow">if</span> (db.haveIntersection(categories, db.toList(lst[i + 3])))</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;                    list.append({id: lst[i], desc: lst[i + 1], cats: db.toList(lst[i + 3])})</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;                i = i + 4</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            }</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        }</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    }</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">function</span> editNode(ident, desc, categories) {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        list.setProperty(ident,<span class="stringliteral">&quot;desc&quot;</span>,desc)</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        list.setProperty(ident,<span class="stringliteral">&quot;cats&quot;</span>,categories)</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    }</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keyword">function</span> getCurrentIndex() {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="keywordflow">return</span> lv.currentIndex</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    }</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keyword">function</span> addingElement(cats,<span class="keywordtype">id</span>) {</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        list.append({id: id, desc: descEdit.text, cats: cats})</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">function</span> removeRow() {</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        <span class="keywordflow">if</span> (lv.currentIndex !== -1)</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            list.remove(lv.currentIndex)</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    }</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keyword">function</span> findRemovedCategory(cat) {</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        var nodesList = []</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        var stringList = []</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; list.count; i++)</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        {</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <span class="keywordflow">for</span> (var j in list.get(i).cats)</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                stringList[stringList.length] = list.get(i).cats[j]</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;            <span class="keywordflow">if</span> (db.haveIntersection([cat], stringList))</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            {</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                nodesList[nodesList.length] = i</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            }</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;            stringList = []</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        }</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">return</span> nodesList</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">function</span> removeCategory(nodesPos,category) {</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        var catList = []</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160; </div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; nodesPos.length; i++)</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;        {</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;            <span class="keywordflow">for</span> (var j in list.get(nodesPos[i]).cats)</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;            {</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                <span class="keywordflow">if</span> (list.get(nodesPos[i]).cats[j] !== category)</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                {</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                    catList[catList.length] = list.get(nodesPos[i]).cats[j]</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                }</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            }</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160; </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;            list.setProperty(nodesPos[i],<span class="stringliteral">&quot;cats&quot;</span>,catList)</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;            catList = []</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160; </div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        }</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    }</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160; </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keyword">function</span> selectCheckedCats(category) {</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        var catsString = <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        <span class="keywordflow">for</span> (let i = 0; i &lt; list.count;i++)</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        {</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;            <span class="keywordflow">for</span> (var j in list.get(i).cats)</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;            {</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;                <span class="keywordflow">if</span> (list.get(i).cats[j] !== category)</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;                {</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;                    catsString += list.get(i).cats[j] + <span class="stringliteral">&quot;,&quot;</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;                }</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            }</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            <span class="keywordflow">if</span> (catsString.length &gt; 0)</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;                catsString = catsString.substr(0, catsString.length - 1)</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            <span class="keywordflow">if</span> (!db.editTuple({categories : catsString}, table,{id: list.get(i).id}))</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            {</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;                <span class="keywordflow">return</span> <span class="keyword">false</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            }</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            catsString = <span class="stringliteral">&quot;&quot;</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;        }</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    }</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160; </div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    Rectangle {</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        opacity: 0.3</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        color: <span class="stringliteral">&quot;black&quot;</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        z: -1</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    }</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160; </div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160; </div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    Component {</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;        id: componentDelegate</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160; </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        Item{</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;            id: node</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;            width: lv.cellWidth</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;            height: lv.cellHeight</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160; </div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            Rectangle {</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;                id: element</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;                <span class="comment">//anchors.margins: 10</span></div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;                width: parent.width - 20</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;                height: parent.height - 20</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;                <span class="comment">//color: &quot;#efedf2&quot;</span></div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;                gradient:  Gradient {</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                    id: gradientStandart</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                    GradientStop {</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;                        position: 0</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;                        color: <span class="stringliteral">&quot;#fdfbfb&quot;</span></div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;                    }</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;                    GradientStop {</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;                        position: 1</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;                        color: <span class="stringliteral">&quot;#ebedee&quot;</span></div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;                    }</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;                }</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160; </div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;                Rectangle {</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;                    id: indicator</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;                    anchors.right: parent.right</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;                    anchors.rightMargin: 5</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;                    anchors.top: parent.top</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;                    anchors.topMargin: 5</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;                    width: 10</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;                    height: width</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;                    radius: 5</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;                    color: <span class="stringliteral">&quot;#e35b5b&quot;</span></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                    opacity: (index === lv.currentIndex) ? 1 : 0</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;                }</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160; </div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;                border.color: <span class="stringliteral">&quot;#4f3b3b&quot;</span></div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;                border.width: 2<span class="comment">//(index === lv.currentIndex) ? 4 : 0</span></div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                <span class="comment">//smooth: true</span></div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160; </div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;                <a class="code" href="classGridCategory.html">GridCategory</a> {</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;                    id: mouseAreaGridView</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;                    objectName: <span class="stringliteral">&quot;mouseAreaGridView&quot;</span></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;                    anchors.top: parent.top</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;                    width: parent.width - indicator.width - 2</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;                    categories: cats</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;                    <span class="comment">// height: heightCat</span></div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;                }</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160; </div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160; </div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160; </div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;                Label {</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;                    anchors.top: mouseAreaGridView.bottom</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;                    anchors.topMargin: 3</div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;                    anchors.left: parent.left</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;                    anchors.right: parent.right</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;                    anchors.leftMargin: 10</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;                    anchors.rightMargin: 10</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;                    anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;                    anchors.bottomMargin: 10</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                    <span class="comment">//bottomPadding: 10</span></div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;                    id: lbl</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;                    clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;                    wrapMode: Label.WrapAnywhere</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;                    text: desc</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;                    color: <span class="stringliteral">&quot;#4d3f3f&quot;</span></div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;                }</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;                Label {</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;                    id: idText</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                    anchors.bottom: parent.bottom</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;                    anchors.right: parent.right</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;                    anchors.bottomMargin: 2</div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;                    anchors.rightMargin: idText.width</div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;                    text: <span class="stringliteral">&quot;#&quot;</span> + <span class="keywordtype">id</span></div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;                    font.pixelSize: 10</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;                }</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160; </div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;                MouseArea {</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;                    anchors.fill: parent</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;                    onClicked: {</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;                        lv.currentIndex = index</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;                    }</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;                    propagateComposedEvents: <span class="keyword">true</span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;                    onDoubleClicked: {</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;                        node_add_button.isAdd = <span class="keyword">false</span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;                        descEdit.text = desc</div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;                        selectSearchCategory.makeChecked(cats)</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;                        createNode.open()</div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;                    }</div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;                }</div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;            }</div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;        }</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;    }</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160; </div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160; </div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160; </div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;    GridView {</div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        id: lv</div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160; </div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        MouseArea {</div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;            anchors.fill: parent</div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;            propagateComposedEvents: <span class="keyword">true</span></div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;            onPressed: {</div>
<div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;                inputRect.state = <span class="stringliteral">&quot;hide&quot;</span></div>
<div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160; </div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;            }</div>
<div class="line"><a name="l00265"></a><span class="lineno">  265</span>&#160;        }</div>
<div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160; </div>
<div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;        cellWidth: cellHeight * 2</div>
<div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;        cellHeight: 120</div>
<div class="line"><a name="l00269"></a><span class="lineno">  269</span>&#160;        anchors.fill: parent</div>
<div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;        anchors.margins: 10</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;        model: list</div>
<div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;        clip: <span class="keyword">true</span></div>
<div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;        delegate: componentDelegate</div>
<div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160; </div>
<div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;        header: Rectangle {</div>
<div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;            height: 20</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;        }</div>
<div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160; </div>
<div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;    }</div>
<div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160; </div>
<div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassNodes_html"><div class="ttname"><a href="classNodes.html">Nodes</a></div><div class="ttdoc">Грид с заметками</div><div class="ttdef"><b>Definition:</b> <a href="Nodes_8qml_source.html#l00014">Nodes.qml:14</a></div></div>
<div class="ttc" id="aclassGridCategory_html"><div class="ttname"><a href="classGridCategory.html">GridCategory</a></div><div class="ttdoc">Грид для отображения категорий каждой заметки</div><div class="ttdef"><b>Definition:</b> <a href="GridCategory_8qml_source.html#l00014">GridCategory.qml:14</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
